QGIS Application - Bug report #7802
"Join attributes by location” in qgis master has a memory leak and leads to crash
2013-05-10 10:05 AM - Leonardo Gonnella

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corruptsdata: Copied to github as #: 16694
Description

When i try to use "join attributes by location" in the Qgis Master version (OS Ubuntu 12.04) with the 2 attached's file, the process arrive
near the 70-80%, then it appears a "python error" windows only for 1 second and the program crash.
| use the file "areestradali" as target vector layer, and the file "PericolositaSismica" as Join vector layer; | keep the other option as default.

| try also with Windows 8, and the program freeze near the 75% of the process and i have to kill the program..

History

#1 - 2013-05-10 10:23 AM - Giovanni Manghi
- Status changed from Open to Feedback

does it works with ggis 1.8?

#2 - 2013-05-10 10:30 AM - Leonardo Gonnella

Yes, it works with Qgis 1.8, both on Ubuntu and on Windows.
#3 - 2013-05-10 10:37 AM - Giovanni Manghi

- OS version deleted (12.04)

- Priority changed from Normal to Severe/Regression

- Operating System deleted (Ubuntu)

#4 - 2013-05-29 10:51 PM - Denis Rouzaud

| could not reproduce on Ubuntu 12.04 / master 4€95496.
Everything went well with your data and setup.

#5 - 2013-06-02 01:53 AM - Giovanni Manghi

- Subject changed from Qgis Master crash when using "Join attributes by location" to "Join attributes by location" in qgis master has a memory leak and

leads to crash
- Status changed from Feedback to Open

Denis Rouzaud wrote:
I could not reproduce on Ubuntu 12.04 / master 4€95496.

Everything went well with your data and setup.

The difference of behaviour is because the tool has a memory leak: when you run it it starts eating up memory, if you have enough it will end (without
releasing it), if not then it will lead to crash.

#6 - 2013-06-15 02:47 AM - Matthias Kuhn
- Status changed from Open to Closed
Fixed in commit:5cbfe07

Can you please verify that:

- The tool works properly again

- The memory leak issue is resolved

#7 - 2013-06-15 04:19 AM - Giovanni Manghi
- Resolution set to fixed

Matthias Kuhn wrote:
Fixed in commit:5¢cbfe07
Can you please verify that: - The tool works properly again
- The memory leak issue is resolved

Hi Matthias,

does this commit fix also the memory leaks in the other affects tools in the vector menu?

cheers!

#8 - 2013-06-15 05:14 AM - Matthias Kuhn

Well possible. It was in the OGR provider whenever a feature was requested with FilterFid.

#9 - 2013-06-17 03:37 AM - Leonardo Gonnella

Hi all, i confirm that now it works, the memory leak is resolved.

Regards!

#10 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

PericolositaSismica.zip 457 KB 2013-05-10 Leonardo Gonnella

2024-04-27 2/3



areestradali.zip 1.84 MB 2013-05-10 Leonardo Gonnella

2024-04-27 3/3



